import 'package:injectable/injectable.dart';
import '../entities/type_reference_entity.dart';
import '../repositories/org_types_repository.dart';

@injectable
class GetOrgTypes {
  final IOrgTypesRepository _repository;
  const GetOrgTypes(this._repository);

  Future<List<TypeReferenceEntity>> call() => _repository.getOrgTypes();
}
